<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.SEnvGasSelfDayMapper">

    <resultMap type="cn.cecep.talroad.domain.SEnvGasSelfDay" id="SEnvGasSelfDayResult">
        <result property="id"    column="id"    />
        <result property="factoryId"    column="factory_id"    />
        <result property="outletId"    column="outlet_id"    />
        <result property="dataType"    column="data_type"    />
        <result property="monitoringTime"    column="monitoring_time"    />
        <result property="so2"    column="so2"    />
        <result property="so2Convert"    column="so2_convert"    />
        <result property="so2Emission"    column="so2_emission"    />
        <result property="nox"    column="nox"    />
        <result property="noxConvert"    column="nox_convert"    />
        <result property="noxEmission"    column="nox_emission"    />
        <result property="no"    column="no"    />
        <result property="noConvert"    column="no_convert"    />
        <result property="noEmission"    column="no_emission"    />
        <result property="no2"    column="no2"    />
        <result property="no2Convert"    column="no2_convert"    />
        <result property="no2Emission"    column="no2_emission"    />
        <result property="smokeDust"    column="smoke_dust"    />
        <result property="smokeDustConvert"    column="smoke_dust_convert"    />
        <result property="smokeDustEmission"    column="smoke_dust_emission"    />
        <result property="pm"    column="pm"    />
        <result property="pmConvert"    column="pm_convert"    />
        <result property="pmEmission"    column="pm_emission"    />
        <result property="vocs"    column="vocs"    />
        <result property="vocsConvert"    column="vocs_convert"    />
        <result property="vocsEmission"    column="vocs_emission"    />
        <result property="o3"    column="o3"    />
        <result property="oxygen"    column="oxygen"    />
        <result property="smokeDustTem"    column="smoke_dust_tem"    />
        <result property="smokeDustPressure"    column="smoke_dust_pressure"    />
        <result property="smokeDustFlowVelocity"    column="smoke_dust_flow_velocity"    />
        <result property="smokeDustHumidity"    column="smoke_dust_humidity"    />
        <result property="dateTime"    column="date_time"    />
        <result property="oxygenConvert"    column="oxygen_convert"    />
        <result property="oxygenEmission"    column="oxygen_emission"    />
        <result property="nmhc"    column="nmhc"    />
        <result property="nmhcConvert"    column="nmhc_convert"    />
        <result property="nmhcEmission"    column="nmhc_emission"    />
        <result property="so2Flag"    column="so2_flag"    />
        <result property="noxFlag"    column="nox_flag"    />
        <result property="noFlag"    column="no_flag"    />
        <result property="no2Flag"    column="no2_flag"    />
        <result property="smokeDustFlag"    column="smoke_dust_flag"    />
        <result property="pmFlag"    column="pm_flag"    />
        <result property="vocsFlag"    column="vocs_flag"    />
        <result property="o3Flag"    column="o3_flag"    />
        <result property="oxygenFlag"    column="oxygen_flag"    />
        <result property="smokeDustTemFlag"    column="smoke_dust_tem_flag"    />
        <result property="smokeDustPressureFlag"    column="smoke_dust_pressure_flag"    />
        <result property="smokeDustFlowVelocityFlag"    column="smoke_dust_flow_velocity_flag"    />
        <result property="smokeDustHumidityFlag"    column="smoke_dust_humidity_flag"    />
        <result property="nmhcFlag"    column="nmhc_flag"    />
        <result property="dataFlag"    column="data_flag"    />
        <result property="so2CorrectEmission"    column="so2_correct_emission"    />
        <result property="noxCorrectEmission"    column="nox_correct_emission"    />
        <result property="vocsCorrectEmission"    column="vocs_correct_emission"    />
        <result property="smokeDustCorrectEmission"    column="smoke_dust_correct_emission"    />
    </resultMap>


    <sql id="selectSEnvGasSelfDayVo">
        select id, factory_id, outlet_id, data_type, monitoring_time, so2, so2_convert, so2_emission, nox, nox_convert, nox_emission, no, no_convert, no_emission, no2, no2_convert, no2_emission, smoke_dust, smoke_dust_convert, smoke_dust_emission, pm, pm_convert, pm_emission, vocs, vocs_convert, vocs_emission, o3, oxygen, smoke_dust_tem, smoke_dust_pressure, smoke_dust_flow_velocity, smoke_dust_humidity, date_time, oxygen_convert, oxygen_emission, nmhc, nmhc_convert, nmhc_emission, so2_flag, nox_flag, no_flag, no2_flag, smoke_dust_flag, pm_flag, vocs_flag, o3_flag, oxygen_flag, smoke_dust_tem_flag, smoke_dust_pressure_flag, smoke_dust_flow_velocity_flag, smoke_dust_humidity_flag, nmhc_flag, data_flag, so2_correct_emission, nox_correct_emission, vocs_correct_emission, smoke_dust_correct_emission from s_env_gas_self_day
    </sql>

    <select id="selectSEnvGasSelfDayList" parameterType="cn.cecep.talroad.domain.SEnvGasSelfDay" resultMap="SEnvGasSelfDayResult">
        <include refid="selectSEnvGasSelfDayVo"/>
        <where>
            <if test="so2 != null  and so2 != ''"> and so2 = #{so2}</if>
            <if test="so2Convert != null  and so2Convert != ''"> and so2_convert = #{so2Convert}</if>
            <if test="so2Emission != null  and so2Emission != ''"> and so2_emission = #{so2Emission}</if>
            <if test="nox != null  and nox != ''"> and nox = #{nox}</if>
            <if test="noxConvert != null  and noxConvert != ''"> and nox_convert = #{noxConvert}</if>
            <if test="noxEmission != null  and noxEmission != ''"> and nox_emission = #{noxEmission}</if>
            <if test="no != null  and no != ''"> and no = #{no}</if>
            <if test="noConvert != null  and noConvert != ''"> and no_convert = #{noConvert}</if>
            <if test="noEmission != null  and noEmission != ''"> and no_emission = #{noEmission}</if>
            <if test="no2 != null  and no2 != ''"> and no2 = #{no2}</if>
            <if test="no2Convert != null  and no2Convert != ''"> and no2_convert = #{no2Convert}</if>
            <if test="no2Emission != null  and no2Emission != ''"> and no2_emission = #{no2Emission}</if>
            <if test="smokeDust != null  and smokeDust != ''"> and smoke_dust = #{smokeDust}</if>
            <if test="smokeDustConvert != null  and smokeDustConvert != ''"> and smoke_dust_convert = #{smokeDustConvert}</if>
            <if test="smokeDustEmission != null  and smokeDustEmission != ''"> and smoke_dust_emission = #{smokeDustEmission}</if>
            <if test="pm != null  and pm != ''"> and pm = #{pm}</if>
            <if test="pmConvert != null  and pmConvert != ''"> and pm_convert = #{pmConvert}</if>
            <if test="pmEmission != null  and pmEmission != ''"> and pm_emission = #{pmEmission}</if>
            <if test="vocs != null  and vocs != ''"> and vocs = #{vocs}</if>
            <if test="vocsConvert != null  and vocsConvert != ''"> and vocs_convert = #{vocsConvert}</if>
            <if test="vocsEmission != null  and vocsEmission != ''"> and vocs_emission = #{vocsEmission}</if>
            <if test="o3 != null  and o3 != ''"> and o3 = #{o3}</if>
            <if test="oxygen != null  and oxygen != ''"> and oxygen = #{oxygen}</if>
            <if test="smokeDustTem != null  and smokeDustTem != ''"> and smoke_dust_tem = #{smokeDustTem}</if>
            <if test="smokeDustPressure != null  and smokeDustPressure != ''"> and smoke_dust_pressure = #{smokeDustPressure}</if>
            <if test="smokeDustFlowVelocity != null  and smokeDustFlowVelocity != ''"> and smoke_dust_flow_velocity = #{smokeDustFlowVelocity}</if>
            <if test="smokeDustHumidity != null  and smokeDustHumidity != ''"> and smoke_dust_humidity = #{smokeDustHumidity}</if>
            <if test="dateTime != null  and dateTime != ''"> and date_time = #{dateTime}</if>
            <if test="oxygenConvert != null  and oxygenConvert != ''"> and oxygen_convert = #{oxygenConvert}</if>
            <if test="oxygenEmission != null  and oxygenEmission != ''"> and oxygen_emission = #{oxygenEmission}</if>
            <if test="nmhc != null  and nmhc != ''"> and nmhc = #{nmhc}</if>
            <if test="nmhcConvert != null  and nmhcConvert != ''"> and nmhc_convert = #{nmhcConvert}</if>
            <if test="nmhcEmission != null  and nmhcEmission != ''"> and nmhc_emission = #{nmhcEmission}</if>
            <if test="so2Flag != null  and so2Flag != ''"> and so2_flag = #{so2Flag}</if>
            <if test="noxFlag != null  and noxFlag != ''"> and nox_flag = #{noxFlag}</if>
            <if test="noFlag != null  and noFlag != ''"> and no_flag = #{noFlag}</if>
            <if test="no2Flag != null  and no2Flag != ''"> and no2_flag = #{no2Flag}</if>
            <if test="smokeDustFlag != null  and smokeDustFlag != ''"> and smoke_dust_flag = #{smokeDustFlag}</if>
            <if test="pmFlag != null  and pmFlag != ''"> and pm_flag = #{pmFlag}</if>
            <if test="vocsFlag != null  and vocsFlag != ''"> and vocs_flag = #{vocsFlag}</if>
            <if test="o3Flag != null  and o3Flag != ''"> and o3_flag = #{o3Flag}</if>
            <if test="oxygenFlag != null  and oxygenFlag != ''"> and oxygen_flag = #{oxygenFlag}</if>
            <if test="smokeDustTemFlag != null  and smokeDustTemFlag != ''"> and smoke_dust_tem_flag = #{smokeDustTemFlag}</if>
            <if test="smokeDustPressureFlag != null  and smokeDustPressureFlag != ''"> and smoke_dust_pressure_flag = #{smokeDustPressureFlag}</if>
            <if test="smokeDustFlowVelocityFlag != null  and smokeDustFlowVelocityFlag != ''"> and smoke_dust_flow_velocity_flag = #{smokeDustFlowVelocityFlag}</if>
            <if test="smokeDustHumidityFlag != null  and smokeDustHumidityFlag != ''"> and smoke_dust_humidity_flag = #{smokeDustHumidityFlag}</if>
            <if test="nmhcFlag != null  and nmhcFlag != ''"> and nmhc_flag = #{nmhcFlag}</if>
            <if test="dataFlag != null  and dataFlag != ''"> and data_flag = #{dataFlag}</if>
            <if test="so2CorrectEmission != null  and so2CorrectEmission != ''"> and so2_correct_emission = #{so2CorrectEmission}</if>
            <if test="noxCorrectEmission != null  and noxCorrectEmission != ''"> and nox_correct_emission = #{noxCorrectEmission}</if>
            <if test="vocsCorrectEmission != null  and vocsCorrectEmission != ''"> and vocs_correct_emission = #{vocsCorrectEmission}</if>
            <if test="smokeDustCorrectEmission != null  and smokeDustCorrectEmission != ''"> and smoke_dust_correct_emission = #{smokeDustCorrectEmission}</if>
        </where>
    </select>

</mapper>
